<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Form Submit Demo</title>
</head>
<body>
    <h1>Please fill the form</h1>
    <form action="https://frogaccelerator.com/submit-app/" method="POST" enctype="multipart/form-data">
        Eesnimi: <br>
        <input type="text" name="firstName" required minlength="2" maxlength="25"><br><br>
        Perekonnanimi: <br>
        <input type="text" name="lastName" required minlength="2" maxlength="25"><br><br>
        Sugu: <br>
        <select name="gender" required>
            <option value="">SUGU</option>
            <option value="M">Mees</option>
            <option value="F">Naine</option>
          </select>
          <br><br>
          Sünniaeg: <br>
         <input type="date" name="dateOfBirth" value="" required> <br><br>
         Perekonnaseis: <br>
         <input type="radio" name="maritalStatus" required value="single" id="maritalStatusSingle">
         <label for="maritalStatusSingle">Vallaline</label> <br>
         <input type="radio" name="maritalStatus" value="married" id="maritalStatusMarried">
         <label for="maritalStatusMarried">Abielus</label> <br>
         <input type="radio" name="maritalStatus" value="committed" id="maritalStatusCommitted">
         <label for="maritalStatusCommitted">Suhtes</label> <br><br>
         E-mail: <br>
         <input type="email" name="email" required><br><br>
         Password: <br>
         <input type="password" name="password" required><br><br>
         Hobid: <br>
         <input type="checkbox" name="hobbies[]" value="roller skating" id="hobby1">
         <label for="hobby1">Rulluisutamine</label> <br>
         <input type="checkbox" name="hobbies[]" value="running" id="hobby2">
         <label for="hobby2">Jooksmine</label> <br>
         <input type="checkbox" name="hobbies[]" value="dancing" id="hobby3">
         <label for="hobby3">Tantsimine</label> <br><br>
         Külastatud riikide arv: <br>
         <input type="number" name="numberOfVisitedCountries" required minvalue="1" maxvalue="200" pattern="\d\d\d"><br><br>
        Foto: 
        <input type="file" name="photo" required><br><br>

        <button type="reset">
            Tühjenda väljad
          </button>
          

        <button type="submit">Saada andmed</button>
      
</body>
</html>